/*
DETECT_SELF_REWRITING_CODE
Detection of writes to compiled instructions.
Makes things slower, and does not seem to be necessary.
*/

#define DETECT_SELF_REWRITING_CODE 0

/*
MINVALUE
Controls whether or not we recompile.
For example, value of 0.05/1000.0 means we will recompile
if it will cause an additional 5% of executed instructions
to be executed from compiled code for every 1000 instructions
that we compile.
*/
#define MINVALUE (0.03/1000.0)

/*
PROFILECOUNT
How many instructions we execute when profiling.
*/
#define PROFILECOUNT    100000000

/*
REPROFILECOUNT
How many uncompiled instructions we execute before reprofiling.
*/
#define REPROFILECOUNT  100000000
